package teplota;

/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
/**
 *
 * @author petr
 */
public class PrevodTeploty {

    private String[] stupnice = {"Fahrenhait", "Celsius", "Kelvin"};
    private double[] posun = {32.0, 0, 273.15};
    private double[] pomer = {1.8, 1, 1};
    private int fromIndex = 0;
    private int toIndex = 0;
    private Float teplota = null;

    public PrevodTeploty() {
    }

    public String[] getStupnice() {
        return stupnice;
    }

    public void setStupniceFrom(int i) throws ArrayIndexOutOfBoundsException {
        if (i < 0 || i >= stupnice.length) {
            throw new ArrayIndexOutOfBoundsException("Chybně vybraná stupnice");
        }
        fromIndex = i;
    }

    public void setStupniceTo(int i) throws ArrayIndexOutOfBoundsException {
        if (i < 0 || i >= stupnice.length) {
            throw new ArrayIndexOutOfBoundsException("Chybně vybraná stupnice");
        }
        toIndex = i;
    }

    public void setTeplota(float f) {
        teplota = f;
    }

    public double getVysledek() {
        if (fromIndex == toIndex) {
            return teplota;
        }
        double celsius = (teplota - posun[fromIndex]) / pomer[fromIndex];
        return (celsius * pomer[toIndex]) + posun[toIndex];
    }

    public float getTeplota() {
        return teplota == null ? 0 : teplota;
    }
}
